package kapitel_05;

import java.sql.*;
public class ForberedtSQL
{
	public static void main(String[] arg) throws Exception
	{
		Class.forName("com.mysql.jdbc.Driver");
		Connection con = DriverManager.getConnection("jdbc:mysql:///test");

		// Forbered kommandoerne til databasen, f.eks. i starten af programmet:

		PreparedStatement indstPstm = con.prepareStatement(
		                            "INSERT INTO kunder (navn,kredit) VALUES(?, ?)");

		PreparedStatement hentPstm = con.prepareStatement(
		                            "SELECT navn, kredit FROM kunder WHERE navn=?");

		// under programudfrelsen kan de forberedte kommandoer udfres mange gange:
		for (int i=0; i<100; i++) 
		{
			indstPstm.setString(1, "Brian");
			indstPstm.setInt(2, i);
			indstPstm.execute();

			indstPstm.setString(1, "Hans' venner");  // bemrk ' i strengen
			indstPstm.setInt(2, 1042+i);
			indstPstm.execute();

			hentPstm.setString(1, "Hans' venner");    // bemrk ' i SQL-foresprgslen
			ResultSet rs = hentPstm.executeQuery();

			// man lber igennem svaret som man plejer
			while (rs.next())
			{
				String navn = rs.getString(1);
				double kredit = rs.getDouble(2);
				System.out.println(navn+" "+kredit);
			}
		}
	}
}