package bank;
import java.util.*;
public class Brugervalg
{
	/** Egenskab 'bankmodel' sttes fra JSP-siden kontrol.jsp nr bnnen oprettes */
	Bankmodel bank;
	public void setBankmodel(Bankmodel b) { bank = b; }

	/** Liste over denne brugers konti */
	public ArrayList konti;

	/** Den konto, brugeren har valgt at arbejde med lige nu */
	public Kontomodel konto;

	/** Egenskab 'kontovalg' sttes fra JSP-side vaelg_konto.jsp*/
	public void setKontovalg(int nr) {
		konto = null;
		for (int i=0; i<konti.size(); i++) {
			Kontomodel k = (Kontomodel) konti.get(i);
			if (k.getId() == nr) konto = k;
		}
		if (konto==null) throw new IllegalArgumentException("Ukendt Konto-ID: "+nr);
	}

	/** Streng der beskriver en handling brugeren nsker at udfre */
	public String handling;
	public void setHandling(String h) { handling = h; }

	/** Belbet handlingen (hv/st ind/overfr) drejer sig om */
	double handlBelb;
	public void setBeloeb(double b) { handlBelb = b; }

	/** Hvis der skal foretages en overfrsel, hvilken konto er det til */
	Kontomodel ovfTil;

	/** Egenskab 'tilKontoId' sttes fra JSP-siden vis_konto.jsp */
	public void setTilKontoId(int nr) {
		ovfTil = null;
		for (int i=0; i<bank.konti.size(); i++) {
			Kontomodel k = (Kontomodel) bank.konti.get(i);
			if (k.getId() == nr) ovfTil = k;
		}
		if (ovfTil==null) throw new IllegalArgumentException("Ukendt Konto-ID: "+nr);
	}

	public void udfrHandling()
	{
		try {
			if (handling.equals("haev"))          konto.hv(handlBelb);
			else if (handling.equals("saet_ind")) konto.indst(handlBelb);
			else if (handling.equals("overfoer")) konto.overfr(ovfTil, handlBelb);
			else System.out.println("Ukendt handling: "+handling);
		} finally {
			handling = null; // selv hvis noget gik helt galt skal data nulstilles
			handlBelb = 0;
			ovfTil = null;
		}
	}
}